Weathermaster:
Gigantic Golem of Chaos
Dr. Chaos, the greatest and wisest man ever, made this devastating weapon of destruction!
With one shot it can rip through the sky and destroy mountains!
The ancient resurrected ultimate weapon, Gigantic Golem of Chaos!
The leader of the Horrifying Golem Army with the ability and appearance of a general!
Dr. Chaos is the only one who knows how to operate it! The Great Gigantic Golem of Chaos!
Return